####################################################################
# ### k8s_resource_keys.py                                       ###
####################################################################
# ### Author: SAS Institute Inc.                                 ###
####################################################################
#                                                                ###
# Copyright (c) 2021, SAS Institute Inc., Cary, NC, USA.         ###
# All Rights Reserved.                                           ###
# SPDX-License-Identifier: Apache-2.0                            ###
#                                                                ###
####################################################################

class KubernetesResourceKeys(object):
    """
    Class providing static access to commonly used key names in Kubernetes resources (list is not all-inclusive).
    """
    ADDRESSES = "addresses"
    ANNOTATIONS = "annotations"
    ANNOTATION_PROXY_BODY_SIZE = "nginx.ingress.kubernetes.io/proxy-body-size"
    ANNOTATION_COMPONENT_NAME = "sas.com/component-name"
    ANNOTATION_COMPONENT_VERSION = "sas.com/component-version"
    ANNOTATION_VERSION = "sas.com/version"
    API_VERSION = "apiVersion"
    ARCHITECTURE = "architecture"
    AVAILABLE_REPLICAS = "availableReplicas"
    BACKEND = "backend"
    CAPACITY = "capacity"
    CLUSTER_IP = "clusterIP"
    COLLISION_COUNT = "collisionCount"
    COMPLETION_TIME = "completionTime"
    CONDITIONS = "conditions"
    CONTAINER_RUNTIME_VERSION = "containerRuntimeVersion"
    CONTAINER_STATUSES = "containerStatuses"
    CONTAINERS = "containers"
    CONTROLLER_TEMPLATE = "controllerTemplate"
    CREATION_TIMESTAMP = "creationTimestamp"
    CURRENT_REPLICAS = "currentReplicas"
    DATA = "data"
    DESTINATION = "destination"
    ENV = "env"
    EXACT = "exact"
    FULLY_LABELED_REPLICAS = "fullyLabeledReplicas"
    GATEWAYS = "gateways"
    GENERATION = "generation"
    HTTP = "http"
    HOST = "host"
    HOSTS = "hosts"
    HOST_IP = "hostIP"
    IMAGE = "image"
    IMAGES = "images"
    INIT_CONTAINERS = "initContainers"
    ITEMS = "items"
    KERNEL_VERSION = "kernelVersion"
    KIND = "kind"
    KUBE_PROXY_VERSION = "kubeProxyVersion"
    KUBELET_VERSION = "kubeletVersion"
    LABEL_CAS_NODE_TYPE = "cas-node-type"
    LABEL_CAS_SERVER = "cas-server"
    LABEL_MANAGED_BY = "app.kubernetes.io/managed-by"
    LABEL_PG_CLUSTER = "pg-cluster"
    LABEL_PG_DEPLOYMENT_NAME = "deployment-name"
    LABEL_PG_SERVICE_NAME = "service-name"
    LABEL_SAS_DEPLOYMENT = "sas.com/deployment"
    LABELS = "labels"
    MANAGED_FIELDS = "managedFields"
    MATCH = "match"
    MATCH_LABELS = "matchLabels"
    METADATA = "metadata"
    NAME = "name"
    NAMESPACE = "namespace"
    NODE_INFO = "nodeInfo"
    NODE_NAME = "nodeName"
    NUMBER = "number"
    OBSERVED_GENERATION = "observedGeneration"
    OPERATING_SYSTEM = "operatingSystem"
    OS_IMAGE = "osImage"
    OWNER_REFERENCES = "ownerReferences"
    PARAMETERS = "parameters"
    PATH = "path"
    PATHS = "paths"
    PHASE = "phase"
    POD_CIDR = "podCIDR"
    POD_CIDRS = "podCIDRs"
    POD_IP = "podIP"
    POD_IPS = "podIPs"
    PORT = "port"
    PORTS = "ports"
    PROTOCOL = "protocol"
    PROVISIONER = "provisioner"
    PUBLISH_NODE_PORT_SERVICE = "publishNodePortService"
    READY = "ready"
    READY_REPLICAS = "readyReplicas"
    REPLICAS = "replicas"
    RESOURCES = "resources"
    RESOURCE_VERSION = "resourceVersion"
    RESTART_COUNT = "restartCount"
    ROUTE = "route"
    ROUTES = "routes"
    RULES = "rules"
    SELECTOR = "selector"
    SELF_LINK = "selfLink"
    SERVICE = "service"
    SERVICE_PORT = "servicePort"
    SERVICE_NAME = "serviceName"
    SERVICES = "services"
    SPEC = "spec"
    START_TIME = "startTime"
    STARTED = "started"
    STATE = "state"
    STATUS = "status"
    SUCCEEDED = "succeeded"
    TARGET_PORT = "targetPort"
    TCP = "tcp"
    TO = "to"
    TEMPLATE = "template"
    TYPE = "type"
    UID = "uid"
    URI = "uri"
    UPDATED_REPLICAS = "updatedReplicas"
    UNAVAILABLE_REPLICAS = "unavailableReplicas"
    WORKER_TEMPLATE = "workerTemplate"
    WORKERS = "workers"
